[gtk/wip/otte/macos-werror: 16/16] macos: Run the testsuite




commit c958c57632244d5dd551f23bafd736536344a6db
Author: Benjamin Otte <otte redhat com>
Date:   Thu Nov 4 02:52:38 2021 +0100

    macos: Run the testsuite

 .gitlab-ci.yml          |  1 +
 .gitlab-ci/run-tests.sh | 11 +++++++++++
 testsuite/meson.build   |  8 ++++++++
 3 files changed, 20 insertions(+)
---
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index b4c7c1d042..d8f2dd5ecb 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -182,6 +182,7 @@ macos:
             -Dpixman:tests=disabled
             _build
     - ninja -C _build
+    - .gitlab-ci/run-tests.sh _build macos
   artifacts:
     when: always
     paths:
diff --git a/.gitlab-ci/run-tests.sh b/.gitlab-ci/run-tests.sh
index e68cf5a6c9..798f48ee73 100755
--- a/.gitlab-ci/run-tests.sh
+++ b/.gitlab-ci/run-tests.sh
@@ -62,6 +62,17 @@ case "${backend}" in
     kill ${compositor}
     ;;
 
+  macos)
+    meson test -C ${builddir} \
+                --timeout-multiplier "${MESON_TEST_TIMEOUT_MULTIPLIER}" \
+                --print-errorlogs \
+                --setup=${backend} \
+                --suite=gtk \
+                --no-suite=gsk-compare-opengl
+    exit_code=$?
+    ;;
+
+
   broadway)
     export XDG_RUNTIME_DIR="$(mktemp -p $(pwd) -d xdg-runtime-XXXXXX)"
 
diff --git a/testsuite/meson.build b/testsuite/meson.build
index 97344f3062..72d72df448 100644
--- a/testsuite/meson.build
+++ b/testsuite/meson.build
@@ -44,6 +44,14 @@ if os_win32
                         ])
 endif
 
+if macos_enabled
+  add_test_setup ('macos',
+                  env: common_env + [
+                        'GDK_BACKEND=macos',
+                        'TEST_OUTPUT_SUBDIR=macos',
+                        ])
+endif
+
 if broadway_enabled
   add_test_setup ('broadway',
                   env: common_env + [


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]